import 'package:flutter/material.dart';

extension MyWidget on Widget {
  void navigate(context, [hasConnection = true]) {
    if (hasConnection) {
      Navigator.push(
        context,
        MaterialPageRoute(builder: (context) {
          return this;
        }),
      );
    }
  }
}
